Jump to content
jonp

unRAID 6 NerdPack - CLI tools (iftop, iotop, screen, kbd, etc.)

1083 posts in this topic Last Reply

Recommended Posts

The error has something to do with the new version passing a new SSL key to the remote host (maybe something to do with the 6.2 beta cycle and SSL changes?), and it not matching the key on file on the remote.  On the 4.6.1 version, it appears to be sending the old key info, in the 4.6.5 version it's sending a new key.  In trying to connect the same way with the new version, I'm currently passing the username/password and site info like this:  lftp -p 22 -u $login,$pass sftp://$host

 

If you do that from a command line, or through a script, it never asks you if the new key is valid or not with the 4.6.5 version (it didn't when I hand-logged in either).  Apparently in 4.6.5 they added a net set variable for lftp (sftp:auto-confirm true), which you can pass with any other set variables in your script, and it will acknowledge the new key-change and actually work.  This variable wasn't included with 4.6.1, so I'm going to assume that the older version just accepted the sftp key change and went about it's business.  Once that keychange has been accepted with the 4.6.5 version, you can remove the set variable and it will continue to work (I did leave it in my sync watchdir script though).

 

Just wanted to let you know I was able to get it working with 6.2 & the 4.6.5 version, and say sorry for the extra work for you to revert it back to 4.6.1 when the new version can be made to work..

 

 

Share this post


Link to post

No trouble, it literally took a few seconds. So should I put 4.6.5 back. It looks like there were a number of fixes since 4.6.1

Share this post


Link to post

I would say it'd be safe to do so.  I'm currently running it without any further errors after using that set variable after upgrading to it.

 

*I edited my post on the forums here that contained the seedbox script I'm using for automatic downloads with the new info just in case someone else is using it and has the same errors.  It's here just in case anybody else has the issue and comes to this thread:  http://lime-technology.com/forum/index.php?topic=42250.0

Share this post


Link to post

Feature Request:

 

Please can we get dig added to the tools.

I added bind-9 which includes dig, host and nslookup.

Share this post


Link to post

{code}root@nas:~# unrar

-bash: unrar: command not found{code}

 

I did some digging around, and looks like this failed because perl is 0 bytes

 

{code}root@nas:/boot/config/plugins/NerdPack/packages/6.1# ls -l

total 34036

-rwxrwxrwx 1 root root  231684 Nov 19 23:51 apr-1.5.0-x86_64-1.txz*

-rwxrwxrwx 1 root root  124572 Nov 19 23:51 apr-util-1.5.3-x86_64-1.txz*

-rwxrwxrwx 1 root root    41644 Nov 19 23:50 bwm-ng-0.6-x86_64-1_SBo.txz*

-rwxrwxrwx 1 root root  182520 Nov 19 23:50 cpio-2.11-x86_64-2.txz*

-rwxrwxrwx 1 root root  4330056 Nov 19 23:51 git-2.3.5-x86_64-1.txz*

-rwxrwxrwx 1 root root    38604 Nov 19 23:50 iftop-1.0pre2-x86_64-1.txz*

-rwxrwxrwx 1 root root    43908 Nov 19 23:50 inotify-tools-3.14-x86_64-1.txz*

-rwxrwxrwx 1 root root    74188 Nov 19 23:51 iperf-3.0.11-x86_64-1_SBo.txz*

-rwxrwxrwx 1 root root  1147168 Nov 19 23:50 kbd-1.15.3-x86_64-2.txz*

-rwxrwxrwx 1 root root  729564 Nov 19 23:51 lftp-4.6.1-x86_64-1.txz*

-rwxrwxrwx 1 root root  1337912 Nov 19 23:50 lshw-B.02.17-x86_64-1_SBo_LT.txz*

-rwxrwxrwx 1 root root  207400 Nov 19 23:51 neon-0.29.6-x86_64-2.txz*

-rwxrwxrwx 1 root root  1150356 Nov 19 23:51 p7zip-9.38.1-x86_64-1tom.txz*

-rwxrwxrwx 1 root root        0 Jan 30 22:56 perl-5.22.0-x86_64-1.txz*

-rwxrwxrwx 1 root root 14210320 Nov 19 23:51 python-2.7.9-x86_64-1.txz*

-rwxrwxrwx 1 root root  343876 Nov 19 23:51 readline-6.3-x86_64-1.txz*

-rwxrwxrwx 1 root root  534436 Nov 19 23:50 screen-4.2.1-x86_64-1.txz*

-rwxrwxrwx 1 root root    54152 Nov 19 23:51 sshfs-fuse-2.5-x86_64-1sl.txz*

-rwxrwxrwx 1 root root  164496 Nov 19 23:50 strace-4.10-x86_64-1.txz*

-rwxrwxrwx 1 root root  3377472 Nov 19 23:51 subversion-1.7.16-x86_64-1.txz*

-rwxrwxrwx 1 root root  324924 Nov 19 23:50 unrar-5.2.5-x86_64-1_SBo.txz*

-rwxrwxrwx 1 root root    13912 Nov 19 23:50 utempter-1.1.5-x86_64-1.txz*

-rwxrwxrwx 1 root root  6138512 Jan 30 22:57 vim-7.4.898-x86_64-1.txz*{code}

Share this post


Link to post

Thanks. What failed exactly.

 

No packages were being installed, it seems like it tried to install that 0 byte package and then bombed out.  I could manually install everything else but that version of perl seemed to not be good.  maybe an error with the installpkg command exits rather than ignores and continues?

Share this post


Link to post

Thanks. I wonder how the 0 byte file got there though. It checks the sha1 and deletes the file if the download fails. I'll check the packages during install too.

Share this post


Link to post

How does one call iperf from the CLI once the plugin is installed and iperf is turned on in the Nerd Tools settings?

Share this post


Link to post

How does one call iperf from the CLI once the plugin is installed and iperf is turned on in the Nerd Tools settings?

iperf3. You can always use the tab key from the CLI to fill in command or file names. And tab again to get a list of matches.

Share this post


Link to post

How does one call iperf from the CLI once the plugin is installed and iperf is turned on in the Nerd Tools settings?

iperf3. You can always use the tab key from the CLI to fill in command or file names. And tab again to get a list of matches.

Ahhh.  Thanks for the tip.

Share this post


Link to post

Hi,

I am running 6.1.9 and just installed the plugin. I type:

cd /boot
screen

and nothing happens. Any idea how to solve this?

Share this post


Link to post

Hi,

I am running 6.1.9 and just installed the plugin. I type:

cd /boot
screen

and nothing happens. Any idea how to solve this?

This plugin doesn't automatically install any of its components. You have to go to the settings page and choose which ones you want.

Share this post


Link to post

Hi,

I am running 6.1.9 and just installed the plugin. I type:

cd /boot
screen

and nothing happens. Any idea how to solve this?

have you gone into the Nerd Pack settings and actually told it install screen?    The Nerd Pack plugin only installs the packages you tell it to install (from the list it has available).

Share this post


Link to post

Hi,

I am running 6.1.9 and just installed the plugin. I type:

cd /boot
screen

and nothing happens. Any idea how to solve this?

This plugin doesn't automatically install any of its components. You have to go to the settings page and choose which ones you want.

Hi thx trurl/dmacias...a long time since visiting the web and everything changes!

Befiore I mke a mistake, how should I select "screen" within the Nerdpack gui in Settings?

Thx in advance!

Rgds.

Share this post


Link to post

Settings - NerdPack. Turn on screen. It will automatically turn on its dependency, utempter. Apply

Share this post


Link to post

I have had NerdPack installed for over a year, and I just brought my server running 6.1.9 to China then upgraded to 6.2.b21.

 

Nerdpack should show the list of tools, but now Nerdpack doesn't show any tools in the

 

http://tower1/Settings/NerdPack

 

When I go into my flash drive I have many things in the 6.1 directory

\\tower1\flash\config\plugins\NerdPack\packages\6.1

but nothing in the 6.2 directory

\\tower1\flash\config\plugins\NerdPack\packages\6.2

 

Pressing "Check for Updates" doesn't return anything. 

 

Since I am here in China, https://raw.githubusercontent.com/dmacias72/unRAID-plugins/master/plugins/NerdPack.plg is blocked for the Server.

 

I can access google and all the other stuff via my laptop as I have a China Firewall jumping VPN installed but the server cannot. 

 

Might this be the problem?  Can I populate the 6.2 directory manually?

Share this post


Link to post

 

 

I have had NerdPack installed for over a year, and I just brought my server running 6.1.9 to China then upgraded to 6.2.b21.

 

Nerdpack should show the list of tools, but now Nerdpack doesn't show any tools in the

 

http://tower1/Settings/NerdPack

 

When I go into my flash drive I have many things in the 6.1 directory

\\tower1\flash\config\plugins\NerdPack\packages\6.1

but nothing in the 6.2 directory

\\tower1\flash\config\plugins\NerdPack\packages\6.2

 

Pressing "Check for Updates" doesn't return anything. 

 

Since I am here in China, https://raw.githubusercontent.com/dmacias72/unRAID-plugins/master/plugins/NerdPack.plg is blocked for the Server.

 

I can access google and all the other stuff via my laptop as I have a China Firewall jumping VPN installed but the server cannot. 

 

Might this be the problem?  Can I populate the 6.2 directory manually?

 

6.1 and 6.2 run different versions of slackware.  I had to upgrade a bunch of the packages to be compatible. So there are 2 repos now. Most notably is python.

 

So nothing shows in the settings page, even after Check for Updates and F5? Do you have any table filters set. Try testing those. If all else fails you could try uninstalling Nerdpack, renaming the plugin folder to old and reinstalling they plugin.

Share this post


Link to post

There's nothing in /boot/plugins/NerdPack/packages/6.2? If you go to the settings page and F5 or Check for Updates there should be at least packages-desc and packages.json. A second refresh/Check should show the list of packages I the webgui. You will need to re Apply them.

Share this post


Link to post

There's nothing in /boot/plugins/NerdPack/packages/6.2? If you go to the settings page and F5 or Check for Updates there should be at least packages-desc and packages.json. A second refresh/Check should show the list of packages I the webgui. You will need to re Apply them.

 

Absolutely nothing, nada, zilch

 

The packages-desc file is one level lower.  No packages.json anywhere not even in 6.1.  The 6.1 folder has 23 txz files.

 

How do I re-install the plugin if we don't have access to github?

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.